/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.aspects.dbc.condition.parser;

/**
 *
 * @author <a href="mailto:kabir.khan@jboss.org">Kabir Khan</a>
 * @version $Revision: 1.1.8.3 $
 */
public abstract class Expression
{
   protected Expression parent;
   
   protected Expression()
   {
      
   }
   
   protected void setParent(Expression parent)
   {
      this.parent = parent;
   }
   
   protected abstract void accept(ExpressionVisitor visitor);
   
   protected boolean isTopLevel()
   {
      return parent == null;
   }
}
